Skip to main content
POST
Upload a document to a claim
This page documents a frozen v1 API. It receives only critical correctness or security corrections. For new integrations, use the current API and follow the linked migration guide.

Autorisierungen

Authorization
string
header
erforderlich

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Pfadparameter

id
string
erforderlich

Body

Only used for claim document upload

file
file
erforderlich
write-only

A document to upload. Allowed formats are pdf, jpeg and png. Should use multipart/form-data encoding (RFC 2388).

Antwort

201 - application/json
href
string<uri>
erforderlich
read-only
submission_state
enum<string>
erforderlich

The current state of the claim submission. Possible values: created (claim saved in the system; does NOT constitute acceptance by paywise), released (released for processing by paywise), under_review (claim is being reviewed by our team), client_response_pending (waiting for your response), accepted (claim accepted and being processed), rejected (claim was rejected), cancelled (claim was cancelled by the client).

  • created - Created
  • released - Released for processing
  • under_review - Under review
  • client_response_pending - Pending client response
  • accepted - Accepted
  • rejected - Rejected
  • cancelled - Cancelled by client
Verfügbare Optionen:
created,
released,
under_review,
client_response_pending,
accepted,
rejected,
cancelled
rejection_reason
string | null
erforderlich
read-only

Plain-text reason why paywise rejected this claim. Only set when submission_state is rejected; null otherwise.

rejected_at
string<date-time> | null
erforderlich
read-only

Timestamp of the rejection. Only set when submission_state is rejected.

rejection_notified_to
string<email>[]
erforderlich
read-only

E-mail addresses the rejection notice was delivered to (your configured notification recipients at the time). Empty unless submission_state is rejected.

debtor
string<uuid>
erforderlich

Your existing debtor's ID.

mandate
object
erforderlich

After a submitted claim was accepted by our team, it is added to a mandate.

your_reference
string | null
erforderlich

Your unique reference.

Maximum string length: 255
subject_matter
string | null
erforderlich

A detailed description of the delivered goods or the provided service.

occurence_date
string<date> | null
erforderlich

The date of emergence of the principal claim ("Vertragsdatum").

document_reference
string | null
erforderlich

The unique reference of your invoice ("Rechnungsnummer"), contract ("Vertragsnummer") or other document ("Belegnummer").

Maximum string length: 255
document_date
string<date> | null
erforderlich

The date of your invoice ("Rechnungsdatum"), contract ("Vertragsdatum") or other document ("Belegdatum").

due_date
string<date> | null
erforderlich

The date your claim was due for payment.

reminder_date
string<date> | null
erforderlich

The date of your first reminder ("Mahnung") to your customer. Please note: the date of a "Zahlungserinnerung" does not qualify. It must be a "Mahnung" by german standards.

delay_date
string<date> | null
erforderlich

The date from which your debtor is in delay ("Verzugsdatum"). Please check back with our team if you are unsure what to place here.

total_claim_amount
object
erforderlich

The total open amount of the claim, including additional charges. Equals the sum of the main claim amount and the sum of all additional charges' amounts - minus any payments you already received on the claim.

main_claim_amount
object
erforderlich

The original amount of the principal claim including VAT or sales tax. Does not have any additional charges added or payments subtracted.

starting_approach
enum<string>
erforderlich

Our starting approach to collect the claim: extrajudicial ("außergerichtlich") or judicial ("gerichtliches Mahnverfahren").

  • extrajudicial - Zunächst außergerichtlich starten
  • judicial - Gleich Mahnbescheid beantragen
  • enforcement - Direkt vollstrecken
Verfügbare Optionen:
extrajudicial,
judicial,
enforcement
claim_disputed
enum<boolean>
erforderlich

Tell us if the claim was disputed by your customer. If you are unsure what to select here, please check back with our team.

  • True - Ja
  • False - Nein
Verfügbare Optionen:
true,
false
obligation_fulfilled
enum<boolean>
erforderlich

Tell us if you fully fulfilled your contractual obligation towards the debtor. If you are unsure what to select here, please check back with our team.

  • True - Ja
  • False - Nein
Verfügbare Optionen:
true,
false
documents
object[]
erforderlich
read-only

Documents relevant for processing of the claim. Usually invoices, reminders, contracts or correspondence with the debtor.

created
string<date-time>
erforderlich
read-only
updated
string<date-time>
erforderlich
read-only
id
string
items
object[]

The items listed on your invoice or contract ("Rechnungsposten" or "Leistungen")

additional_charges_amount
object

The sum of all additional charges of the claim.

additional_charges
object[]

Additional charges for your claim ("incidental claims" or "Nebenforderungen"). Those are typically reminder fees ("Mahngebühren") or bank charges for chargebacks ("Rücklastschriftgebühren").

payments
object[]

Any payments you have received for your claim so far.

metadata
object[]

The metadata object allows you to submit additional relevant information related to the claim as type/value pairs. You can submit an unlimited number of metadata sets.

events
object[]

Events regarding the claim. See request/response examples.